org.eclipse.ui.editors.text

## Class TextFileDocumentProvider.DocumentProviderOperation

- java.lang.Object
- - org.eclipse.ui.editors.text.TextFileDocumentProvider.DocumentProviderOperation

All Implemented Interfaces:
  IRunnableWithProgress, ISchedulingRuleProvider

Enclosing class:
  TextFileDocumentProvider

    protected abstract static class TextFileDocumentProvider.DocumentProviderOperation
    extends Object
    implements IRunnableWithProgress, ISchedulingRuleProvider

Operation created by the document provider and to be executed by the providers runnable context.

### Constructor Summary

Constructors
`protected` `DocumentProviderOperation()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `execute(IProgressMonitor monitor)` The actual functionality of this operation.
`ISchedulingRule` `getSchedulingRule()` Returns the scheduling rule.
`void` `run(IProgressMonitor monitor)` Runs this operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentProviderOperation

    protected DocumentProviderOperation()

### Method Detail

#### execute

    protected abstract void execute(IProgressMonitor monitor)
                             throws CoreException

The actual functionality of this operation.

Parameters:
  `monitor` - the progress monitor
Throws:
  `CoreException` - if the execution fails

#### run

    public void run(IProgressMonitor monitor)
             throws InvocationTargetException,
                    InterruptedException

Description copied from interface: `IRunnableWithProgress`
Runs this operation. Progress should be reported to the given progress monitor. This method is usually invoked by an `IRunnableContext`'s `run` method, which supplies the progress monitor. A request to cancel the operation should be honored and acknowledged by throwing `InterruptedException`.

Specified by:
  `run` in interface `IRunnableWithProgress`
Parameters:
  `monitor` - the progress monitor to use to display progress and receive requests for cancelation
Throws:
  `InvocationTargetException` - if the run method must propagate a checked exception, it should wrap it inside an `InvocationTargetException`; runtime exceptions are automatically wrapped in an `InvocationTargetException` by the calling context
  `InterruptedException` - if the operation detects a request to cancel, using `IProgressMonitor.isCanceled()`, it should exit by throwing `InterruptedException`
See Also:
  `IRunnableContext.run(boolean, boolean, org.eclipse.jface.operation.IRunnableWithProgress)`

#### getSchedulingRule

    public ISchedulingRule getSchedulingRule()

Description copied from interface: `ISchedulingRuleProvider`
Returns the scheduling rule.

Specified by:
  `getSchedulingRule` in interface `ISchedulingRuleProvider`
Returns:
  a scheduling rule or `null` if none